<?php
if (!defined('EAR_ROOT')) {
	die('Access denied');
}
if(!earis_login("admin")){
    header("Location: ".EAR_PATH.EAR_SCRIPT."/login");
    exit;
}

$msg = "";

if(isset($_POST["submit"])){
    $name = isset($_POST["name"])?trim($_POST["name"]):"";
    $desc = isset($_POST["desc"])?trim($_POST["desc"]):"";
    $keywords = isset($_POST["keywords"])?trim($_POST["keywords"]):"";
    $icp = isset($_POST["icp"])?trim($_POST["icp"]):"";
    $mail = isset($_POST["mail"])?trim($_POST["mail"]):"";
    $tz = isset($_POST["tz"])?trim($_POST["tz"]):"PRC";
    $size = isset($_POST["size"])?trim($_POST["size"]):"";
    $smtphost = isset($_POST["smtphost"])?trim($_POST["smtphost"]):"";
    $smtpport = isset($_POST["smtpport"])?trim($_POST["smtpport"]):"";
    $smtpuser = isset($_POST["smtpuser"])?trim($_POST["smtpuser"]):"";
    $smtppass = isset($_POST["smtppass"])?trim($_POST["smtppass"]):"";
    $debug = isset($_POST["debug"])?trim($_POST["debug"]):false;
    $mt = isset($_POST["mt"])?trim($_POST["mt"]):false;
    $mtc = isset($_POST["mtc"])?trim($_POST["mtc"]):"";

    if($name == ""){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">网站名称 不许为空</div>';
    }elseif($name != EAR_NAME && !Config::set("EAR_NAME", $name)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 网站名称 失败</div>';
    }elseif($desc != EAR_DESCRIPTION && !Config::set("EAR_DESCRIPTION", $desc)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 网站概述 失败</div>';
    }elseif($keywords != EAR_KEYWORDS && !Config::set("EAR_KEYWORDS", $keywords)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 网站关键词 失败</div>';
    }elseif($icp != EAR_ICP && !Config::set("EAR_ICP", $icp)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 备案号 失败</div>';
    }elseif($mail != EAR_MAIL && !Config::set("EAR_MAIL", $mail)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 联系邮箱 失败</div>';
    }elseif($tz != EAR_TIMEZONE && !Config::set("EAR_TIMEZONE", $tz)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 默认时区 失败</div>';
    }elseif($size != EAR_MAXSIZE && !Config::set("EAR_MAXSIZE", $size)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 应用大小限制 失败</div>';
    }elseif($smtphost != EAR_SMTPHOST && !Config::set("EAR_SMTPHOST", $smtphost)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 SMTP服务器地址 失败</div>';
    }elseif($smtpport != EAR_SMTPPORT && !Config::set("EAR_SMTPPORT", $smtpport)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 SMTP服务器端口 失败</div>';
    }elseif($smtpuser != EAR_SMTPUSR && !Config::set("EAR_SMTPUSR", $smtpuser)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 SMTP账号 失败</div>';
    }elseif($smtppass != EAR_SMTPPWD && !Config::set("EAR_SMTPPWD", $smtppass)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 SMTP密码 失败</div>';
    }elseif($debug != EAR_DEBUG && !Config::set("EAR_DEBUG", $debug)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 调试模式 失败</div>';
    }elseif($mt != EAR_INMAINTENANCE && !Config::set("EAR_INMAINTENANCE", $mt)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 维修模式 失败</div>';
    }elseif($mtc != EAR_MAINTENANCE && !Config::set("EAR_MAINTENANCE", $mtc)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新 维修模式提示内容 失败</div>';
    }else{
        $msg = '<div class="alert alert-success" role="alert" style="margin:2em 0 0 0;">更新成功</div>';
    }
}else{
    if(!is_writable(Config::getFile())){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">当前没有修改配置文件的权限</div>';
    }
}

$title = "系统配置 | ".EAR_NAME;
require_once("header.inc.php");
?>
<div style="margin:1em;max-width:50em;margin:0 auto;padding:1em;">
<?php echo $msg?$msg:"";?>
<form method="POST" action="" style="margin:3em 0;">
<div class="card">
  <div class="card-header">
    基础配置
  </div>
  <div class="card-body">
    
    <div class="form-group row">
      <label for="inputName" class="col-sm-2 col-form-label">网站名称</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" required name="name" value="<?php echo esc_html(@EAR_NAME);?>" id="inputName">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputDesc" class="col-sm-2 col-form-label">网站概述</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="desc" value="<?php echo esc_html(@EAR_DESCRIPTION);?>" id="inputDesc">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputKeys" class="col-sm-2 col-form-label">网站关键词</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="keywords" value="<?php echo esc_html(@EAR_KEYWORDS);?>" id="inputKeys">
        <small class="form-text text-muted">多个关键词用“,”隔开</small>
      </div>
    </div>
    <div class="form-group row">
      <label for="inputICP" class="col-sm-2 col-form-label">备案号</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="icp" value="<?php echo esc_html(@EAR_ICP);?>" id="inputICP">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputMail" class="col-sm-2 col-form-label">联系邮箱</label>
      <div class="col-sm-10">
        <input type="email" class="form-control" name="mail" value="<?php echo esc_html(@EAR_MAIL);?>" id="inputMail">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputTZ" class="col-sm-2 col-form-label">默认时区</label>
      <div class="col-sm-10">
        <input type="text" name="tz" class="form-control" value="<?php echo esc_html(@EAR_TIMEZONE);?>" id="inputTZ">
        <small class="form-text text-muted">参考：https://www.php.net/manual/en/timezones.php</small>
      </div>
    </div>
    
  </div>
</div>
<div class="card">
  <div class="card-header">
    应用配置
  </div>
  <div class="card-body">
    
    <div class="form-group row">
      <label for="inputSize" class="col-sm-2 col-form-label">应用大小限制</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="size" value="<?php echo esc_html(@EAR_MAXSIZE);?>" id="inputSize">
        <small class="form-text text-muted">单位：字节</small>
      </div>
    </div>
    
  </div>
</div>

<div class="card">
  <div class="card-header">
    邮件SMTP配置
  </div>
  <div class="card-body">
    
    <div class="form-group row">
      <label for="inputSMTPH" class="col-sm-2 col-form-label">服务器地址</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="smtphost" value="<?php echo esc_html(@EAR_SMTPHOST);?>" id="inputSMTPH">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputSMTPP" class="col-sm-2 col-form-label">服务器端口</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="smtpport" value="<?php echo esc_html(@EAR_SMTPPORT);?>" id="inputSMTPP">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputSMTPU" class="col-sm-2 col-form-label">账号</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="smtpuser" value="<?php echo esc_html(@EAR_SMTPUSR);?>" id="inputSMTPU">
      </div>
    </div>
    <div class="form-group row">
      <label for="inputSMTPPwd" class="col-sm-2 col-form-label">密码</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="smtppass" value="<?php echo esc_html(@EAR_SMTPPWD);?>" id="inputSMTPPwd">
      </div>
    </div>
    
  </div>
</div>

<div class="card">
  <div class="card-header">
    开发模式
  </div>
  <div class="card-body">
    <div class="form-group row">
      <label for="inputDebug" class="col-sm-2 col-form-label">调试模式</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="debug" value="<?php echo intval(@EAR_DEBUG);?>" id="inputDebug">
        <small class="form-text text-muted">1：开启、0：关闭</small>
      </div>
    </div>
    <div class="form-group row">
      <label for="inputMT" class="col-sm-2 col-form-label">维修模式</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="mt" value="<?php echo intval(@EAR_INMAINTENANCE);?>" id="inputMT">
        <small class="form-text text-muted">1：开启、0：关闭</small>
      </div>
    </div>
    <div class="form-group row">
      <label for="inputMTC" class="col-sm-2 col-form-label">维修模式提示内容</label>
      <div class="col-sm-10">
        <input type="text" class="form-control" name="mtc" value="<?php echo esc_html(@EAR_MAINTENANCE);?>" id="inputMTC">
      </div>
    </div>
    
  </div>
</div>
    
    

    <div class="form-group row">
      <div class="col-sm-10">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">保存</button>
      </div>
    </div>
  </form>
</div>
<?php require_once("bottom.inc.php");?>
