<?php
if (!defined('EAR_ROOT')) {
	die('Access denied');
}
$email = isset($_POST["email"])?trim($_POST["email"]):"";
if($email != false){
    echo html_message("版本限制", '<center>对不起，该版本未开通此功能，若您有该功能需求请联系<a href="https://www.earcms.com/" target="_blank">contact@earcms.com</a>获取。</center>');
    exit;
}
?>
<!DOCTYPE html>
<html lang="cn" class="light-style customizer-hide" dir="ltr" data-theme="theme-semi-dark" data-template="vertical-menu-template-semi-dark">

  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>找回密码 | <?php echo esc_html(EAR_NAME);?></title>
    <link rel="icon" type="image/x-icon" href="/favicon.ico" />
    <link rel="stylesheet" href="https://unpkg.com/boxicons@latest/css/boxicons.min.css">
    <link rel="stylesheet" href="<?php echo EAR_PATH;?>static/index/css/light.css?v=4.1" />
    <link rel="stylesheet" href="<?php echo EAR_PATH;?>static/index/css/plugins.css?v=7.5" />
  </head>

  <body>
    <div class="authentication-wrapper authentication-cover">
      <div class="authentication-inner row m-0">
        <div class="d-none d-lg-flex col-lg-7 col-xl-8 align-items-center p-5">
          <div class="w-100 d-flex justify-content-center">
            <img src="<?php echo EAR_PATH;?>static/index/image/slider24.png" class="img-fluid">
          </div>
        </div>
        <div class="d-flex col-12 col-lg-5 col-xl-4 align-items-center authentication-bg p-sm-5 p-4">
          <div class="w-px-400 mx-auto">
            <h4 class="mb-2">Welcome to <?php echo esc_html(EAR_NAME);?>!</h4>
            <?php if(isset($_POST["email"])){?>
            <p class="mb-4" style="color:#f44336;">登录失败：邮箱或者密码错误。</p>
            <?php }else{ ?>
            <p class="mb-4">找回密码</p>
            <?php } ?>
            <?php if($email == false){?>
            <form id="lost_form" class="mb-3" action="" method="POST">

              <div class="mb-3">
                <label for="email" class="form-label">邮箱</label>
                <input type="text" class="form-control notnull" id="email" name="email" title="邮箱" placeholder="输入您的邮箱地址" autofocus>
              </div>
              <button class="captcha_submit btn btn-primary d-grid w-100" type="submit">下一步</button>
            </form>
            <?php }else{ ?>
            <form id="lost_form" class="mb-3" action="" method="POST">

              <div class="mb-3">
                <label for="email" class="form-label">邮箱</label>
                <input type="text" class="form-control notnull" value="<?php echo esc_html($email);?>" readonly id="email" name="email" title="邮箱" placeholder="邮箱地址">
              </div>

              <div class="form-password-toggle mb-3">
                <div class="d-flex justify-content-between">
                  <label class="form-label" for="passwd">验证码</label>
                </div>
                <div class="input-group input-group-merge">
                  <input type="text" id="vcode" class="form-control notnull" name="vcode" title="验证码" placeholder="验证码" autofocus/>
                </div>
              </div>
              
              <div class="form-password-toggle mb-3">
                <div class="d-flex justify-content-between">
                  <label class="form-label" for="passwd">新密码</label>
                </div>
                <div class="input-group input-group-merge">
                  <input type="password" id="passwd" class="form-control notnull" name="passwd" title="密码" placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;" />
                  <span class="input-group-text cursor-pointer"><i class="bx bx-hide"></i></span>
                </div>
              </div>
              <button class="captcha_submit btn btn-primary d-grid w-100" type="submit">确认修改</button>
            </form>
            <?php }?>
          </div>
        </div>
      </div>
    </div>
  </body>

</html>

