<?php
if (!defined('EAR_ROOT')) {
	die('Access denied');
}

if(!earis_login()){
    header("Location: ".EAR_PATH."index.php/login");
    exit;
}
$msg = "";
$edit = (isset($_GET["edit"]) && in_array($_GET["edit"], array("profile", "passwd", "realname")))?$_GET["edit"]:"profile";

$user = new User();

$email = $_SESSION["user"]["email"];
$realnamestatus = @$_SESSION["user"]["realnamestatus"];

if(isset($_POST["type"]) && $_POST["type"] == "profile"){
    $phone = isset($_POST["phone"])?trim($_POST["phone"]):"";
    $qq = isset($_POST["qq"])?trim($_POST["qq"]):"";
    $wx = isset($_POST["wx"])?trim($_POST["wx"]):"";
    if($phone != false && !is_alphanum_str($phone)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">手机号码格式错误</div>';
    }elseif($qq != false && !is_alphanum_str($qq)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">QQ格式错误</div>';
    }elseif($wx != false && !is_alphanum_str($wx)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">微信账号格式错误</div>';
    }elseif($user->update($email, "phone", $phone) == false){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新手机号码失败</div>';
    }elseif($user->update($email, "qq", $qq) == false){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新QQ号码失败</div>';
    }elseif($user->update($email, "wx", $wx) == false){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新微信账号失败</div>';
    }else{
        $_SESSION["user"] = $user->getUser($email);
        $msg = '<div class="alert alert-success" role="alert" style="margin:2em 0 0 0;">更新成功</div>';
    }
}elseif(isset($_POST["type"]) && $_POST["type"] == "passwd"){
    $hash = $_SESSION["user"]["password"];
    $salt = $_SESSION["user"]["salt"];
    $passwd = isset($_POST["passwd"])?trim($_POST["passwd"]):"";
    $passwdnew = isset($_POST["passwdnew"])?trim($_POST["passwdnew"]):"";
    $passwdnew2 = isset($_POST["passwdnew2"])?trim($_POST["passwdnew2"]):"";
    if(strlen($passwdnew) < 6){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">新密码长度不足</div>';
    }elseif($passwdnew !== $passwdnew2){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">两次输入密码不同</div>';
    }elseif($hash == false || $hash !== md5($passwd.$salt)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">旧密码错误</div>';
    }elseif($user->update($email, "password", md5($passwdnew.$salt)) == false){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新密码失败</div>';
    }else{
        $_SESSION["user"] = $user->getUser($email);
        $msg = '<div class="alert alert-success" role="alert" style="margin:2em 0 0 0;">更新成功</div>';
    }
}elseif(isset($_POST["type"]) && $_POST["type"] == "realname"){
    $name = isset($_POST["name"])?trim($_POST["name"]):"";
    $idcard = isset($_POST["idcard"])?trim($_POST["idcard"]):"";
    if($realnamestatus == true){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">无需重复认证</div>';
    }elseif($name == false){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">姓名格式错误</div>';
    }elseif($idcard == false || !is_alphanum_str($idcard)){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">身份证号码格式错误</div>';
    }elseif($user->update($email, "name", $name) == false){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新姓名失败</div>';
    }elseif($user->update($email, "idcard", $idcard) == false){
        $msg = '<div class="alert alert-warning" role="alert" style="margin:2em 0 0 0;">更新身份证号失败</div>';
    }else{
        $_SESSION["user"] = $user->getUser($email);
        $msg = '<div class="alert alert-success" role="alert" style="margin:2em 0 0 0;">提交成功，等待审核</div>';
    }
}

$title = "个人资料 | ".EAR_NAME;
require_once("header.inc.php");
?>
<p class="rs-p-wp-fix"></p>
<div class="main-content">
  <section class="iq-fancy-box-section">
    <img src="<?php echo EAR_PATH;?>static/index/image/shape1.png" class="img-fluid shape-left" alt="QLOUD">
    <div class="container" style="max-width:40em;">
      <div class="text-center">
        <img style="margin: 3em 0 5em 0;width:6em;" src="<?php echo EAR_PATH;?>static/app/avatar.jpg" class="rounded" alt="avatar">
      </div>

      <nav class="nav nav-pills flex-column flex-sm-row">
        <a class="flex-sm-fill text-sm-center nav-link <?php echo ($edit=="profile")?"active":"";?>" href="<?php echo EAR_PATH;?>index.php/user?edit=profile">个人资料</a>
        <a class="flex-sm-fill text-sm-center nav-link <?php echo ($edit=="passwd")?"active":"";?>" href="<?php echo EAR_PATH;?>index.php/user?edit=passwd">修改密码</a>
        <a class="flex-sm-fill text-sm-center nav-link <?php echo ($edit=="realname")?"active":"";?>" href="<?php echo EAR_PATH;?>index.php/user?edit=realname">实名认证</a>
      </nav>
      
      <?php echo $msg?$msg:"";?>

      <form method="POST" action="" style="margin: 3em 0;<?php echo ($edit!="profile")?"display:none;":"";?>">
        <div class="form-group row">
          <label for="inputEmail" class="col-sm-2 col-form-label">邮箱</label>
          <div class="col-sm-10">
            <input readonly type="email" name="email" class="form-control" value="<?php echo esc_html(@$_SESSION["user"]["email"]);?>" id="inputEmail">
          </div>
        </div>
        <div class="form-group row">
          <label for="inputPhone" class="col-sm-2 col-form-label">手机</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" name="phone" value="<?php echo esc_html(@$_SESSION["user"]["phone"]);?>" id="inputPhone">
          </div>
        </div>
        <div class="form-group row">
          <label for="inputQQ" class="col-sm-2 col-form-label">QQ</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" name="qq" value="<?php echo esc_html(@$_SESSION["user"]["qq"]);?>" id="inputQQ">
          </div>
        </div>
        <div class="form-group row">
          <label for="inputWX" class="col-sm-2 col-form-label">微信</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" name="wx" value="<?php echo esc_html(@$_SESSION["user"]["wx"]);?>" id="inputWX">
          </div>
        </div>
        <div class="form-group row">
          <div class="col-sm-10">
            <button type="submit" name="type" value="<?php echo esc_html($edit);?>" class="btn btn-primary">保存</button>
          </div>
        </div>
      </form>

      <form method="POST" action="" style="margin: 3em 0;<?php echo ($edit!="passwd")?"display:none;":"";?>">
        <div class="form-group row">
          <label for="inputPasswd" class="col-sm-2 col-form-label">旧密码</label>
          <div class="col-sm-10">
            <input type="password" name="passwd" class="form-control" id="inputPasswd">
          </div>
        </div>
        <div class="form-group row">
          <label for="inputPasswd2" class="col-sm-2 col-form-label">新密码</label>
          <div class="col-sm-10">
            <input type="password" name="passwdnew" class="form-control" id="inputPasswd2">
          </div>
        </div>
        <div class="form-group row">
          <label for="inputPasswd3" class="col-sm-2 col-form-label">确认新密码</label>
          <div class="col-sm-10">
            <input type="password" name="passwdnew2" class="form-control" id="inputPasswd3">
          </div>
        </div>
        <div class="form-group row">
          <div class="col-sm-10">
            <button type="submit" name="type" value="<?php echo esc_html($edit);?>" class="btn btn-primary">提交</button>
          </div>
        </div>
      </form>

      <form method="POST" action="" style="margin: 3em 0;<?php echo ($edit!="realname")?"display:none;":"";?>">
        <div class="form-group row">
          <label for="inputName" class="col-sm-2 col-form-label">姓名</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" value="<?php echo esc_html(@$_SESSION["user"]["name"]);?>" name="name" id="inputName">
          </div>
        </div>
        <div class="form-group row">
          <label for="inputID" class="col-sm-2 col-form-label">身份证号</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" value="<?php echo esc_html(@$_SESSION["user"]["idcard"]);?>" name="idcard" id="inputID">
          </div>
        </div>
        <?php if($realnamestatus != true){?>
        <div class="form-group row">
          <div class="col-sm-10">
            <button type="submit" name="type" value="<?php echo esc_html($edit);?>" class="btn btn-primary">提交</button>
          </div>
        </div>
        <?php }?>
      </form>

    </div>
  </section>
</div>
<?php require_once("bottom.inc.php");?>

